
/* ========================================================
*
* It's Brain - premium responsive admin template
*
* ========================================================
*
* File: styles.css;
* Description: It's Brain custom styles.
* Version: 1.0
*
* ======================================================== */

.color-switch a { position: fixed; z-index: 9999; right: 0; top: 196px; background: url(../images/dark.png); width: 24px; height: 78px; cursor: pointer; }
.color-switch a:hover { background-position: -24px 0; }

.layout-switch a { position: fixed; z-index: 9999; right: 0; top: 290px; background: url(../images/fixed.png); width: 24px; height: 60px; cursor: pointer; }
.layout-switch a:hover { background-position: -24px 0; }

@media (min-width: 768px) {
  a,
  .btn,
  .caret,
  .close,
  .sidebar,
  .select2-choice abbr,
  .select2-highlighted,
  .ui-slider-range,
  .ui-datepicker-trigger,
  .ui-timepicker-list li,
  .checker span:after,
  .checker span,
  .navbar-toggle,
  .thumb-options,
  .select2-arrow b,
  .thumb-zoom img,
  .fc-button,
  .page-content {
    -webkit-transition: all 0.15s ease-in-out; 
       -moz-transition: all 0.15s ease-in-out;
         -o-transition: all 0.15s ease-in-out;
            transition: all 0.15s ease-in-out;
  }

}



.fontawesome-list > .row > div > div {
  background: #fcfcfc;
  border: 1px solid #ddd;
  padding: 8px;
  margin-bottom: 5px;
}


/* Demo list */
.demo-list { 
  text-align: center; 
  margin: 0; 
  padding: 0; 
}
.demo-list li { 
  display: inline-block; 
  margin: 0 10px; 
} 

/* Demo grid */
.demo-grid > div > div { 
  background-color: #fafafa; 
  border: 1px solid #ddd; 
  padding: 10px; 
}



/* jGrowl showcase */
.jgrowl-showcase .jGrowl { 
  position: static; 
}
.jgrowl-showcase .jGrowl:first-child { 
  margin-bottom: 10px; 
}
.jgrowl-showcase .jGrowl .jGrowl-notification { 
  border: none; 
  display: block; 
  margin: 0; 
  width: 100%; 
}

/* Modal showcase */
.modal-demo { 
  position: static; 
  top: auto; 
  left: auto;
  display: block; 
  margin: 0 auto; 
  z-index: 1; 
  width: 100%; 
  box-shadow: none; 
  -webkit-box-shadow: none; 
  -moz-box-shadow: none; 
  overflow: hidden; 
}
.modal-demo .modal-dialog { 
  padding: 0; 
  width: 100%; 
  margin: 0; 
}




.has-padding {
  padding: 15px;
}

.fa {
  position: relative;
  font-size: 14px;
  min-width: 14px;
  text-align: center;
}

.loading-spinner {
  background: url(../images/interface/loader.gif) no-repeat;
  display: block;
  width: 16px;
  height: 16px;
  margin-right: 6px;
}
.loading-spinner.pull-right {
  margin-right: 12px;
  margin-top: 12px;
}






h1, h2, h3, h4, h5, h6, .navigation > li > a, .stats li span {
font-family: 'Cuprum', sans-serif;
font-weight: normal;
}





.widget {
  margin-bottom: 30px;
}

.widget-inner {
  margin-bottom: 20px;
}



.mandatory {
  color: #b94a48;
  margin-left: 2px;
}
label.error {
  margin-top: 6px;
  margin-bottom: 0;
  color: #fff;
  background-color: #D65C4F;
  display: table;
  padding: 4px 8px;
  font-size: 11px;
  font-weight: 500;
  line-height: 14px;
  border-radius: 2px;
}
label.error.valid {
  background-color: #239169;
}





.logo {
  float: left;
  margin-top: 10px;
}

.middle-nav {
  float: right;
  margin: 0;
  padding: 0;
}
.middle-nav > li { 
  text-align: center; 
  display: block; 
  float: left; 
  margin-left: 20px; 
  position: relative; 
}
.middle-nav > li:first-child { 
  margin: 0; 
}
.middle-nav > li > a { 
  display: block;
  padding: 8px 12px 3px 12px;
  font-weight: normal;
}

.middle-nav > li > a:hover { background: #f6f6f6; }
.middle-nav > li > a:active { background: #f1f1f1; }


.middle-nav > li > a > i {
  font-size: 28px;
  display: block;
  margin-bottom: 4px;
  margin-left: auto;
  margin-right: auto;
  float: none;
}

.middle-nav .label {
  position: absolute;
  top: -7px;
  right: -7px;
}


@media (max-width: 768px) {
  .middle-nav {
    float: none;
    text-align: center;
    font-size: 0;
    margin-top: 15px;
  }

  .middle-nav > li {
    float: none;
    display: inline-block;
    margin: 0 5px;
  }
  .middle-nav > li:first-child {
    margin: 0 5px;
  }
  .middle-nav > li span {
    display: none;
  }
}




/* ===== Sidebar and navigation ===== */

.sidebar {
  position: absolute;
  left: 30px;
  top: 0;
  width: 230px;
  padding-bottom: 30px;
  z-index: 800;
}

.navigation {
  margin: 0;
  padding: 0;
  list-style: none;
}
.navigation ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
.navigation > li {
  position: relative;
  display: block;
  margin-top: 2px;
}
.navigation li:first-child {
  margin-top: 0;
}
.navigation > li > a {
  color: #333;
  font-size: 15px;
  display: block;
  border: 1px solid #ddd;
  padding: 9px 9px 8px 9px;
  border-radius: 2px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  background: #fcfcfc;
}

.navigation > li > a.level-opened,
.navigation > li > a:hover,
.navigation > li > a:focus {
  background: #239169;
  border-color: #239169;
  color: #fff;
}

.navigation > li.active > a,
.navigation > li.active > a.level-opened {
  background: #40484C;
  border-color: #40484C;
  color: #fff;
}

.navigation > li > a .label {
  float: right;
}

.navigation > li ul .label {
  float: right;
  margin-top: -2px;
}


.navigation > li > ul {
  background-color: #fcfcfc;
  border: 1px solid #ddd;
  border-top: 0;
}
.navigation > li > ul li {
  border-top: 1px solid #eee;
}
.navigation > li > ul li:first-child {
  border-top: 0;
}
.navigation > li > ul li a {
  padding: 11px 12px;
  display: block;
  font-size: 11px;
}
.navigation > li > ul li a:hover,
.navigation > li > ul li a:focus {
  background-color: #fafafa;
}
.navigation > li > ul li.active > a {
  background: #f5f5f5;
}
.navigation > li > ul li.active > a:after {
  content: "";
  width: 5px;
  height: 9px;
  opacity: .9;
  filter: alpha(Opacity=90);
  margin: 3px 0 6px 0;
  float: right;
  background: url(../images/interface/nav_arrow_right.png) no-repeat;
}

.navigation .fa {
  top: 0;
  margin-right: 6px;
}


@media (max-width: 991px) {
  .page-container {
    position: static;
  }

  .sidebar {
    top: 36px;
    left: 0;
    width: 100%;
    max-height: 237px;
    overflow-y: auto;
    position: fixed;
    border-bottom: 3px solid #40484C;
    padding: 0;
  }

  .static-navbar .sidebar {
    position: absolute;
  }

  .navigation > li {
    margin-top: 0;
  }
  .navigation > li > a {
    border-top: 0;
    border-radius: 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
  }

  .rtl-inputs [class*="col-"], 
  .rtl-inputs [class^="col-"] {
  float: none!important;
  }
}


/* Hiding sidebar */

.hidden-sidebar .sidebar {
  opacity: 0;
}
.hidden-sidebar .page-content {
  margin-left: 0;
}


/* Page content */

.page-content {
  margin-left: 270px;
}

.full-width .page-content {
  margin-left: 0;
}

@media (max-width: 991px) {
  .page-content {
    margin-left: 0;
  }
}


/* Page title */

.page-title {
  color: #fff;
  background-color: #40484C;
  -moz-box-shadow: 0 1px 0 #fff;
  -webkit-box-shadow: 0 1px 0 #FFF;
  box-shadow: 0 1px 0 #FFF;
  border-radius: 2px;
  margin-bottom: 30px;
}
.page-title:after {
  content: "";
  display: table;
  clear: both;
}
.page-title h5 {
  margin: 0;
  float: left;
  display: block;
  font-size: 15px;
  padding: 13px 14px 12px 14px;
  line-height: 1;
}
.page-title .btn-group {
  float: right;
  padding: 1px 0;
}

.page-title .btn-group .btn {
  color: #fff;
}

.page-title h5 small {
  margin-left: 6px;
  font-size: 11px;
  font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
  vertical-align: 1px;
  color: #bbb;
}


@media (max-width: 768px) {
  .page-title {
    margin-bottom: 20px;
  }
  .page-title h5 small {
    display: none;
  }
}



/* Subtitle */ 

.subtitle {
  display: block;
  font-weight: 500;
  margin-bottom: 10px;
}
.subtitle i {
  float: left;
  margin: 0 6px 0 0;
  color: #444;
}


/* Paging */
.paging {
  margin: 15px 0 15px 0;
}

/* ===== Statistics ===== */

.stats {
  margin: 0 0 30px 0;
  padding: 0;
  list-style: none;
}
.stats:after {
  content: "";
  display: table;
  clear: both;
}
.stats li { 
}
.stats li:first-child {
  padding-left: 0;
}

.stats li .btn {
  margin-right: 10px;
  padding: 4px 12px 3px 12px;
  font-size: 22px;
  float: left;
  font-weight: normal;
}

.stats li .btn-default {
  color: #D65C4F;
}

.stats li span {
  font-size: 15px;
}


@media (max-width: 768px) {
  .stats {
    text-align: center;
    margin-bottom: 5px;
  }
  .stats li {
    width: 50%;
    padding: 0;
  }
  .stats li .btn {
    float: none;
    display: block;
    margin: 0 5px;
  }
  .stats li span {
    margin: 5px 10px 10px 10px;
    display: block;
  }
}



/*===== Chart styles =====*/ 

.chart {
  float: right;
  margin-top: 4px;
}
.legendLabel {
  font-size: 11px;
}
.legendLabel span {
  display: block;
  margin: 0 5px;
}
.legendColorBox {
  padding: 4px 8px 0 0;
  vertical-align: top;
}
.legendColorBox div > div {
  width: 5px;
  height: 5px;
}
.graph {
  height: 150px;
  z-index: 9;
  width: 100%;
}
.graph-standard {
  height: 250px;
  z-index: 90;
  width: 100%;
  overflow: hidden;
}


/*===== Flot chart tooltip =====*/

.chart-tooltip {
  position: absolute;
  display: none;
  max-width: 200px;
  font-weight: 400;
  white-space: nowrap;
  padding: 8px 12px;
  line-height: 1.4;
  font-size: 12px;
  color: #ffffff;
  text-align: center;
  text-decoration: none;
  background-color: #40484C;
  border-radius: 2px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  z-index: 9999;
}
.chart-tooltip:after {
  content: '';
  display: inline-block;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid #40484C;
  position: absolute;
  bottom: -5px;
  left: 4px;
}





/*===== jGrowl notifications ====*/

.jGrowl {
  z-index: 9999;
  color: #fff;
}
.jGrowl {
  position: absolute;
}
body > .jGrowl {
  position: fixed;
}
.jGrowl.top-left {
  left: 0px;
  top: 0px;
}
.jGrowl.top-right {
  right: 25px;
  top: 50px;
}
.jGrowl.bottom-left {
  left: 0px;
  bottom: 0px;
}
.jGrowl.bottom-right {
  right: 25px;
  bottom: 25px;
}
.jGrowl.center {
  top: 68px;
  width: 230px;
  left: 50%;
  margin-left: -115px;
}
.center .jGrowl-notification, .center .jGrowl-closer {
  margin-left: auto;
  margin-right: auto;
}
.jGrowl .jGrowl-notification {
  border: none;
  color: #fff;
  opacity: .95;
  filter: alpha(Opacity=95);
  width: 230px;
  padding: 12px 18px;
  margin-top: 5px;
  text-align: left;
  display: none;
  background-color: #40484C;
}

.jGrowl-notification.growl-error {
  background-color: #E06C5F;
}
.jGrowl-notification.growl-success {
  background-color: #239169;
}
.jGrowl-notification.growl-warning {
  background-color: #DD845A;
}

.jGrowl .jGrowl-notification .jGrowl-header {
  font-size: 14px;
  padding: 0 0 2px 0;
}
.jGrowl .jGrowl-notification .jGrowl-header:empty {
  padding: 0;
}

.jGrowl  .jGrowl-notification  .jGrowl-close {
  opacity: .6;
  filter: alpha(Opacity=60);
  z-index: 99;
  float: right;
  font-weight: 300;
  font-size: 14px;
  cursor: pointer;
}
.jGrowl  .jGrowl-notification  .jGrowl-close:hover {
  opacity: .8;
  filter: alpha(Opacity=80);
}

.jGrowl .jGrowl-closer {
  padding: 5px 0;
  cursor: pointer;
  font-size: 11px;
  margin-top: 5px;
  font-weight: bold;
  text-align: center;
  background: #454545;
  color: #ffffff;
  width: 222px;
}

@media print {
  .jGrowl {
    display: none;
  }
}




/* ===== Full calendar ===== */

.fc {
  direction: ltr;
  text-align: left;
}
.fc table {
  border-collapse: collapse;
  border-spacing: 0;
}
.fc td,
.fc th {
  vertical-align: middle;
}
.fc-content table td {
  vertical-align: top;
  padding: 0;
}


/* Header */

.fc-header td {
  white-space: nowrap;
}
.fc-header-left {
  width: 25%;
  text-align: left;
}
.fc-header-center {
  text-align: center;
}
.fc-header-right {
  width: 25%;
  text-align: right;
}
.fc-header-title {
  display: inline-block;
}
.fc-header-title h2 {
  margin: 0;
  white-space: nowrap;
  font-size: 18px;
}
.panel .fc-header-title h2 {
  padding-top: 18px;
}
.fc-header-title h2,
.panel .panel-body .fc-header-title h2 {
  padding: 0 0 12px 0;
}
.fc .fc-header-space {
  padding-left: 10px;
}
.fc-header .fc-state-hover,
.fc-header .ui-state-hover {
  z-index: 2;
}
.fc-header .fc-state-down {
  z-index: 3;
}
.fc-header .fc-state-active,
.fc-header .ui-state-active {
  z-index: 4;
}


/* Content */

.fc-content {
  clear: both;
}
.fc-view {
  width: 100%;
  overflow: hidden;
}


/* Cell Styles */

.fc-widget-content {
  border-left: 1px solid #ddd;
  border-top: 1px solid #ddd;
}
.fc-border-separate tr td:first-child {
  border-left: 0;
}
.fc-widget-header {
  border-bottom: 1px solid #ddd;
  border-top: 1px solid #ddd;
}
.fc-state-highlight {
  background: #fcf8e3;
}
.fc-cell-overlay {
  background: #bce8f1;
  opacity: .3;
  filter: alpha(opacity=30);
}


/* Buttons */

.fc-button {
  position: relative;
  display: inline-block;
  overflow: hidden;
  white-space: nowrap;
  cursor: pointer;
  vertical-align: middle;
  padding: 8px 14px 7px 14px;
  border-radius: 2px;
}
.fc-header-right .fc-button {
  margin-left: 2px;
}
.fc-header-right,
.fc-header-left,
.panel .panel-body .fc-header-right,
.panel .panel-body .fc-header-left {
  padding: 0 0 14px 0;
}
.panel .fc-header-right {
  padding: 14px 12px 14px 0;
}
.panel .fc-header-left {
  padding: 14px 0 14px 12px;
}
.fc-header-left .fc-button {
  float: left;
}
.fc-text-arrow {
  font-size: 20px;
  font-family: "Courier New", Courier, monospace;
}
.fc-button-prev,
.fc-button-next {
  line-height: 1;
  background-color: #40484C;
  color: #fff;
  margin-right: 2px;
  padding: 6px 10px;
}
.fc-button-prev:hover,
.fc-button-next:hover {
  color: #fff;
  background-color: #239169;
}
.fc-button-prev .fc-text-arrow,
.fc-button-next .fc-text-arrow {
  font-weight: bold;
}
.fc-button .fc-icon-wrap {
  position: relative;
  float: left;
  top: 50%;
}
.fc-button .ui-icon {
  position: relative;
  float: left;
  margin-top: -50%;
}
.fc-state-hover,
.fc-state-down,
.fc-state-active {
  color: #fff;
  background: #239169;
}
.fc-state-disabled {
  color: #999;
}
.fc-state-down,
.fc-state-active {
  outline: 0;
}
.fc-state-active {
  background-color: #40484C;
  color: #fff;
}
.fc-state-disabled {
  cursor: default;
  background-image: none;
  box-shadow: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
}


/* Global Event Styles */

.fc-event-container > * {
  z-index: 8;
}
.fc-event-container > .ui-draggable-dragging,
.fc-event-container > .ui-resizable-resizing {
  z-index: 9;
}
.fc-event {
  border: 1px solid #3a87ad;
  background-color: #3a87ad;
  color: #fff;
  font-size: 11px;
  cursor: default;
  padding: 4px 0;
  margin: 0 6px;
}
a.fc-event {
  text-decoration: none;
}
a.fc-event,
.fc-event-draggable {
  cursor: pointer;
}
.fc-rtl .fc-event {
  text-align: right;
}
.fc-event-inner {
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.fc-event-time,
.fc-event-title {
  padding: 0 8px;
}
.fc .ui-resizable-handle {
  display: block;
  position: absolute;
  z-index: 99999;
  overflow: hidden;
  font-size: 300%;
  line-height: 50%;
}


/* Horizontal Events */

.fc-event-hori {
  border-width: 1px 0;
  margin-bottom: 2px;
}
.fc-ltr .fc-event-hori.fc-event-start,
.fc-rtl .fc-event-hori.fc-event-end {
  border-left-width: 1px;
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
}
.fc-ltr .fc-event-hori.fc-event-end,
.fc-rtl .fc-event-hori.fc-event-start {
  border-right-width: 1px;
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
}


/* Resizable */

.fc-event-hori .ui-resizable-e {
  top: 0!important;
  right: -3px!important;
  width: 7px!important;
  height: 100%!important;
  cursor: e-resize;
}
.fc-event-hori .ui-resizable-w {
  top: 0!important;
  left: -3px!important;
  width: 7px!important;
  height: 100%!important;
  cursor: w-resize;
}


/* Reusable Separate-border Table */

table.fc-border-separate,
.panel .panel-body table.fc-border-separate {
  border-collapse: separate;
  border: 1px solid #ddd;
  border-top: 0;
}
.panel table.fc-border-separate {
  border: 0;
}
.fc-border-separate th,
.fc-border-separate td {
  border-width: 1px 0 0 1px;
}
.fc-border-separate th.fc-last,
.fc-border-separate td.fc-last {
  border-right-width: 1px;
}
.fc-border-separate tr.fc-last th,
.fc-border-separate tr.fc-last td {
  border-bottom-width: 1px;
}
.fc-border-separate tbody tr.fc-first td,
.fc-border-separate tbody tr.fc-first th {
  border-top-width: 0;
}


/* Month View, Basic Week View, Basic Day View */

.fc-grid th,
.fc-agenda-days th {
  text-align: center;
  padding: 4px;
  background-color: #fafafa;
  font-weight: bold;
  border-left: 1px solid #ddd;
}
.fc-grid th:first-child,
.fc-agenda-days th:first-child {
  border-left: 0;
}
.fc-grid .fc-day-number {
  float: right;
  padding: 12px 10px;
  line-height: 1;
}
.fc-grid .fc-other-month .fc-day-number {
  opacity: 0.3;
  filter: alpha(opacity=30);
}
.fc-grid .fc-day-content {
  clear: both;
  padding: 2px 2px 1px;
}
.fc-grid .fc-event-time {
  font-weight: bold;
}
.fc .fc-week-number {
  width: 22px;
  text-align: center;
}
.fc .fc-week-number div {
  padding: 0 2px;
}
.fc-rtl .fc-grid .fc-day-number {
  float: left;
}
.fc-rtl .fc-grid .fc-event-time {
  float: right;
}


/* Agenda Week View, Agenda Day View */

.fc-agenda table {
  border-collapse: separate;
}
.fc-agenda .fc-event-hori {
  margin-top: 2px;
}
.fc-agenda table td {
  vertical-align: baseline;
  padding: 4px;
}
.fc-agenda-days th {
  text-align: center;
}
.fc-agenda .fc-agenda-axis {
  width: 50px;
  padding: 4px 10px;
  vertical-align: middle;
  text-align: right;
  white-space: nowrap;
  font-weight: normal;
}
.fc-agenda .fc-week-number {
  font-weight: bold;
}
.fc-agenda .fc-day-content {
  padding: 2px 2px 1px;
}
.fc-agenda-days .fc-agenda-axis {
  border-right-width: 1px;
}
.fc-agenda-allday th {
  border-width: 0 1px;
}
.fc-agenda-allday .fc-day-content {
  min-height: 34px;
}
.fc-agenda-divider-inner {
  height: 2px;
  overflow: hidden;
}
.fc-widget-header .fc-agenda-divider-inner {
  background: #eee;
}
.fc-agenda-slots th {
  border-width: 1px 1px 0;
}
.fc-agenda-slots td {
  background: none;
}
.fc-agenda-slots td div {
  height: 20px;
}
.fc-agenda-slots tr.fc-slot0 th,
.fc-agenda-slots tr.fc-slot0 td {
  border-top-width: 0;
}
.fc-agenda-slots tr.fc-minor th,
.fc-agenda-slots tr.fc-minor td {
  border-top-style: dotted;
}


/* Vertical Events */

.fc-event-vert {
  border-width: 0 1px;
}
.fc-event-vert.fc-event-start {
  border-top-width: 1px;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
}
.fc-event-vert.fc-event-end {
  border-bottom-width: 1px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
}
.fc-event-vert .fc-event-time {
  white-space: nowrap;
  font-size: 10px;
}
.fc-event-vert .fc-event-inner {
  position: relative;
  z-index: 2;
}
.fc-event-vert .fc-event-bg {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  opacity: .25;
  filter: alpha(opacity=25);
}
.fc-event-vert .ui-resizable-s {
  bottom: 0!important;
  width: 100%!important;
  height: 8px!important;
  overflow: hidden!important;
  line-height: 8px!important;
  font-size: 11px!important;
  font-family: monospace;
  text-align: center;
  cursor: s-resize;
}

@media (max-width: 479px) {
  .fc-header-right {
    text-align: center;
  }
  .fc-header-right .fc-button {
    margin-left: 0;
    width: 100%;
  }
  .fc-header-title h2,
  .fc-header td {
    white-space: normal;
  }
  .fc-header-left .fc-button {
    width: 100%;
    text-align: center;
  }
  .fc-header-left .fc-button + .fc-button {
    margin-top: 2px;
  }
}




/*===== Tags Input plugin =====*/

.tagsinput {
  border: 1px solid #d5d5d5;
  background: #fff;
  padding: 0 0 3px 0;
  width: 100%;
  overflow-y: auto;
}
.tagsinput span.tag {
  display: block;
  float: left;
  position: relative;
  padding: 8px 12px 7px 26px;
  background: #5D7480;
  color: #fff;
  margin: 3px 0 0 3px;
}
.tagsinput span.tag a {
  display: block;
  text-indent: -9999px;
  width: 12px;
  height: 12px;
  position: absolute;
  left: 8px;
  top: 10px;
  outline: none;
  background: url(../images/forms/clear_results.png) no-repeat 50%;
}
.tagsinput span.tag a:hover {
  opacity: 0.6;
  filter: alpha(Opacity=60);
}
.tagsinput input {
  width: 120px;
  border: none;
  padding: 8px 12px 7px 12px;
  background: transparent;
  margin: 3px 0 0 0;
}
.tagsinput input:focus {
  outline: 0;
}
.tagsinput div {
  display: block;
  float: left;
  position: relative;
  margin-left: 3px;
}
.tags_clear {
  clear: both;
  height: 0px;
}
.not_valid {
  background: #FBD8DB !important;
  color: #90111A !important;
}
.tagsinput .ui-helper-hidden-accessible {
  display: none;
}




/*===== Uniform. Checkbox =====*/

.checker, .checker span, .checker input {
  width: 18px;
  height: 18px;
}
.checker {
  position: relative;
  margin-right: 6px;
  margin-top: -3px;
  display: inline-block;
  cursor: pointer;
  vertical-align: middle;
}

.checker span {
  border: 1px solid #c5c5c5;
  background-color: #fff;
  display: -moz-inline-box;
  display: inline-block;
  text-align: center;
  position: relative;
}
.checker span:after {
  content: "";
  background: url(../images/forms/check.png) no-repeat 50%;
  opacity: 0;
  filter: alpha(Opacity=0);
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
.checker span.checked:after {
  content: "";
  opacity: 1;
  filter: alpha(Opacity=100);
}
.checker.focus span.checked:after {
  opacity: 1;
  filter: alpha(Opacity=100);
}

.checker input[type=checkbox] {
  opacity: 0;
  filter: alpha(opacity=0);
  -moz-opacity: 0;
  border: none;
  background: none;
  display: -moz-inline-box;
  display: inline-block;
  *display: inline;
  zoom: 1;
  margin: 0;
  vertical-align: top;
  cursor: pointer;
  position: absolute;
  top: -1px;
  left: -1px;
  z-index: 2;
}

.checker:active span, .checker.active span {
  background-color: #f8f8f8;
  border-color: #d5d5d5;
}
.checker.focus span, .checker:hover span {
  background-color: #fafafa;
}
.checker.focus:active span.checked:after, 
.checker:hover:active span.checked:after, 
.checker.active:hover span.checked:after, 
.checker.active.focus span.checked:after {
  opacity: 0.8;
  filter: alpha(opacity=80);
}
.checker.disabled span, 
.checker.disabled:active span, 
.checker.disabled.active span {
  opacity: 0.6;
  filter: alpha(opacity=60);
}
.checker.disabled span.checked, 
.checker.disabled:active span.checked, 
.checker.disabled.active span.checked {
  opacity: 0.6;
  filter: alpha(opacity=60);
}
.checker.disabled span.checked:after, 
.checker.disabled:active span.checked:after, 
.checker.disabled.active span.checked:after {
  opacity: 1;
  filter: alpha(opacity=100);
}





/*===== Uniform. Radio =====*/

.choice, .choice span, .choice input {
  width: 18px;
  height: 18px;
}
.choice {
  position: relative;
  margin-right: 6px;
  margin-top: -3px;
  display: inline-block;
  cursor: pointer;
  vertical-align: middle;
}

.choice span {
  border: 1px solid #c5c5c5;
  background-color: #fff;
  display: -moz-inline-box;
  display: inline-block;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  text-align: center;
  position: relative;
}
.choice span:after {
  content: "";
  background: url(../images/forms/choice.png) no-repeat 50%;
  opacity: 0;
  filter: alpha(Opacity=0);
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
.choice span.checked:after {
  content: "";
  opacity: 1;
  filter: alpha(Opacity=100);
}
.choice.focus span.checked:after {
  opacity: 1;
  filter: alpha(Opacity=100);
}
.choice:active span, 
.choice.active span {
  background-color: #f8f8f8;
  border-color: #d5d5d5;
}
.choice.focus span, 
.choice:hover span {
  background-color: #fafafa;
}

.choice input[type=radio] {
  position: absolute;
  top: -1px;
  left: -1px;
  z-index: 2;
  opacity: 0;
  filter: alpha(opacity=0);
  width: 18px;
  -moz-opacity: 0;
  border: none;
  background: none;
  display: -moz-inline-box;
  display: inline-block;
  text-align: center;
  float: none;
  margin: 0;
  vertical-align: top;
  cursor: pointer;
}

.choice.focus:active span.checked:after, 
.choice:hover:active span.checked:after, 
.choice.active:hover span.checked:after, 
.choice.active.focus span.checked:after {
  opacity: 0.8;
  filter: alpha(opacity=80);
}
.choice.disabled span, 
.choice.disabled:active span, 
.choice.disabled.active span {
  opacity: 0.6;
  filter: alpha(opacity=60);
}
.choice.disabled span.checked, 
.choice.disabled:active span.checked, 
.choice.disabled.active span.checked {
  opacity: 0.6;
  filter: alpha(opacity=60);
}
.choice.disabled span.checked:after, 
.choice.disabled:active span.checked:after, 
.choice.disabled.active span.checked:after {
  opacity: 1;
  filter: alpha(opacity=100);
}





/*===== File uploader =====*/

.uploader {
  width: 100%;
  position: relative;
  overflow: hidden;
  border: 1px solid #ddd;
  background: #fff;
  padding: 2px 2px 2px 10px;
}

.uploader span.action {
  width: 28px;
  background: url(../images/forms/add_files.png) no-repeat 0 0;
  height: 28px;
  cursor: pointer;
  float: right;
  text-indent: -9999px;
  display: inline;
  overflow: hidden;
}
.uploader:hover span.action {
  background-position: 0 -28px;
}
.uploader:active span.action {
  background-position: 0 -56px;
}
.uploader span.filename {
  color: #777;
  cursor: pointer;
  max-width: 200px;
  font-size: 11px;
  line-height: 28px;
  float: left;
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  cursor: default;
}

.uploader input[type=file] {
  width: 100%;
  margin-top: 0;
  opacity: 0;
  filter: alpha(opacity:0);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  float: right;
  height: 32px;
  border: none;
  cursor: pointer;
}

.uploader {
  display: -moz-inline-box;
  display: inline-block;
  vertical-align: middle;
  zoom: 1;
  *display: inline;
}
.uploader.disabled span.action {
  color: #aaa;
}
.uploader.disabled span.filename {
  border-color: #ddd;
  color: #aaa;
}





/*===== Dual select boxes ====*/

.dual-control .btn {
  padding: 0 8px;
  line-height: 24px;
  font-size: 11px;
  cursor: pointer;
  height: 26px;
  margin: 2px 1px;
}
.left-box, .right-box {
  width: 40%;
  position: relative;
}
.left-box {
  float: left;
}
.right-box {
  float: right;
}
.filter {
  position: absolute;
  right: 10px;
  top: 8px;
  font-size: 13px;
  background: none;
  border: none;
  color: #808080;
  padding: 0;
}
.dual-control {
  text-align: center;
  width: 90px;
  margin: 118px 1px;
  position: absolute;
  left: 50%;
  margin-left: -45px;
}
.count-label {
  color: gray;
  font-style: italic;
  margin-top: 10px;
  display: block;
  font-size: 11px;
}
.left-box input[type=text], 
.right-box input[type=text] {
  margin-bottom: 12px;
}

@media (max-width: 480px) {
  .left-box, .right-box {
    width: 100%;
    float: none;
  }
  .dual-control {
    width: auto;
    margin: 20px 0;
    position: static;
    left: 0;
  }
  .count-label {
    text-align: center;
  }
}




/*===== Multiselect =====*/

.multiselect-container li a {
  padding: 0;
}
.multiselect-container li a label {
  width: 100%;
  padding: 10px 10px 9px 10px!important;
  cursor: pointer;
  font-weight: 500;
  font-size: 12px;
  margin: 0!important;
}
.multiselect-group {
  color: #D65C4F;
  padding: 9px 12px;
  margin: 0;
}





/*===== Select2 plugin =====*/

.select2-container {
  margin: 0;
  position: relative;
  display: inline-block;
  vertical-align: middle;
}
.select2-container .select2-choice {
  display: block;
  height: 34px;
  background-color: #fff;
  padding: 0 0 0 10px;
  overflow: hidden;
  position: relative;
  border: 1px solid #ddd;
  white-space: nowrap;
  line-height: 32px;
  color: #333;
  background-clip: padding-box;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.select2-container .select2-choice:hover {
  background-color: #fcfcfc;
}
.select2-container.select2-drop-above .select2-choice {
  border-bottom-color: #ddd;
}
.select2-container .select2-choice > .select2-chosen {
  margin-right: 31px;
  display: block;
  overflow: hidden;
  font-weight: 500;
  text-align: left;
  white-space: nowrap;
  -ms-text-overflow: ellipsis;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
}
.select2-container .select2-choice abbr {
  display: none;
  width: 14px;
  height: 14px;
  position: absolute;
  right: 9px;
  top: 9px;
  z-index: 100;
  background-color: #3C9AC9;
  background-image: url(../images/forms/clear_results.png);
  background-position: 4px 4px;
  cursor: pointer;
  outline: 0;
}
.select2-container.select2-allowclear .select2-choice abbr {
  display: inline-block;
}
.select2-container .select2-choice abbr:hover {
  background-color: #CA665B;
  cursor: pointer;
}

.select2-drop-mask {
  border: 0;
  margin: 0;
  padding: 0;
  position: fixed;
  left: 0;
  top: 0;
  min-height: 100%;
  min-width: 100%;
  height: auto;
  width: auto;
  opacity: 0;
  z-index: 9998;
  background-color: #fff;
  filter: alpha(opacity=0);
}
.select2-drop {
  width: 100%;
  position: absolute;
  z-index: 9999;
  top: 100%;
  background-color: #fff;
  color: #333;
  border-bottom: 1px solid #ddd;
}
.select2-drop-auto-width {
  border-top: 1px solid #aaa;
  width: auto;
}
.select2-drop-auto-width .select2-search {
  padding-top: 4px;
}
.select2-drop.select2-drop-above {
  border-top: 1px solid #ddd;
  border-bottom: 0;
}
.select2-drop.select2-drop-above.select2-drop-active {
  border-top: 1px solid #ddd;
}

.select2-container .select2-choice .select2-arrow {
  width: 11px;
  height: 6px;
  right: 11px;
  top: 13px;
  z-index: 99;
  display: inline-block;
  position: absolute;
  -webkit-background-clip: padding-box;
  -moz-background-clip: padding;
  background-clip: padding-box;
}
.select2-container .select2-choice .select2-arrow b {
  display: block;
  width: 11px;
  height: 6px;
  background: url(../images/forms/vertical_arrows.png) no-repeat 0 0;
}

.select2-search {
  display: block;
  width: 100%;
  min-height: 26px;
  margin: 0;
  padding: 4px;
  border-left: 1px solid #DDD;
  border-right: 1px solid #DDD;
  position: relative;
  z-index: 10000;
  white-space: nowrap;
}
.select2-search input {
  width: 100%;
  height: auto !important;
  padding: 7px 20px 6px 30px!important;
  margin: 0;
  outline: 0;
  border: 1px solid #DDD;
  background: #FFF url(../images/interface/filter.png) no-repeat 10px;
}

.select2-container-active .select2-choice, 
.select2-container-active .select2-choices {
  outline: none;
}
.select2-dropdown-open .select2-choice {
  background-color: #fafafa;
}
.select2-dropdown-open.select2-drop-above .select2-choice, 
.select2-dropdown-open.select2-drop-above .select2-choices {
  border: 1px solid #ddd;
}
.select2-dropdown-open .select2-choice .select2-arrow b {
  background-position: 0 -6px;
}


/* Results */

.select2-results {
  max-height: 204px;
  margin: 0;
  padding: 0;
  position: relative;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
.select2-results ul.select2-result-sub {
  margin: 0 -1px;
  padding-left: 0;
}
.select2-results ul.select2-result-sub > li .select2-result-label {
  padding-left: 20px;
}
.select2-results ul.select2-result-sub ul.select2-result-sub > li .select2-result-label {
  padding-left: 40px;
}
.select2-results ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub > li .select2-result-label {
  padding-left: 60px;
}
.select2-results ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub > li .select2-result-label {
  padding-left: 80px;
}
.select2-results ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub > li .select2-result-label {
  padding-left: 100px;
}
.select2-results ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub > li .select2-result-label {
  padding-left: 110px;
}
.select2-results ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub ul.select2-result-sub > li .select2-result-label {
  padding-left: 120px;
}

.select2-results li {
  list-style: none;
  display: list-item;
  border-left: 1px solid #DDD;
  border-right: 1px solid #DDD;
}
.select2-results li.select2-result-with-children > .select2-result-label {
  font-weight: bold;
  color: #D65C4F;
}

.select2-results .select2-result-label {
  padding: 9px 10px 10px 10px;
  margin: 0;
  cursor: pointer;
  font-size: 12px;
  font-weight: 500;
  min-height: 1em;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.select2-results .select2-highlighted {
  background: #239169;
  border-color: #239169;
  color: #FFF;
}
.select2-results li em {
  background: #feffde;
  font-style: normal;
}
.select2-results .select2-highlighted em {
  background: transparent;
}
.select2-results .select2-highlighted ul {
  background: #fff;
  color: #000;
}
.select2-results .select2-no-results, 
.select2-results .select2-searching, 
.select2-results .select2-selection-limit {
  background: #FAFAFA;
  display: list-item;
  padding: 6px 10px;
  font-size: 11px;
  border-top: 1px solid #DDD;
  color: #999;
  line-height: 16px;
}
.select2-results .select2-disabled.select2-highlighted {
  color: #666;
  background: #f4f4f4;
  display: list-item;
  cursor: default;
}
.select2-results .select2-disabled {
  background: #f4f4f4;
  display: list-item;
  cursor: default;
}
.select2-results .select2-selected {
  display: none;
}
.select2-more-results.select2-active {
  background: #f4f4f4 url('../images/interface/loader.gif') no-repeat 100%;
}
.select2-more-results {
  background: #f5f5f5;
  display: list-item;
}
.select2-container.select2-container-disabled .select2-choice {
  background-color: #f5f5f5;
  background-image: none;
  border: 1px solid #ddd;
  cursor: default;
}
.select2-container.select2-container-disabled .select2-choice .select2-arrow {
  background-color: #f4f4f4;
  background-image: none;
  border-left: 0;
}
.select2-container.select2-container-disabled .select2-choice abbr {
  display: none;
}


/* Multiselect */

.select2-container-multi .select2-choices {
  height: auto;
  margin: 0;
  padding: 0 0 3px 0;
  position: relative;
  border: 1px solid #ddd;
  cursor: text;
  overflow: hidden;
  background-color: #fff;
}
.select2-locked {
  padding: 3px 5px 3px 5px !important;
}
.select2-container-multi .select2-choices {
  min-height: 26px;
}
.select2-container-multi.select2-container-active .select2-choices {
  border: 1px solid #ddd;
  outline: none;
}
.select2-container-multi .select2-choices li {
  float: left;
  list-style: none;
}
.select2-container-multi .select2-choices .select2-search-field {
  margin: 0;
  padding: 0;
  white-space: nowrap;
}
.select2-container-multi .select2-choices .select2-search-field input {
  padding: 8px 10px 7px 10px;
  line-height: 1.42857143;
  margin: 3px 0 0 0;
  outline: 0;
  border: 0;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background: transparent !important;
}
.select2-container-multi .select2-choices .select2-search-field input.select2-active {
  background: #fff url('../images/interface/loader.gif') no-repeat 100% !important;
}
.select2-default {
  color: #999 !important;
}
.select2-container-multi .select2-choices .select2-search-choice {
  padding: 8px 12px 7px 26px;
  margin: 3px 0 0 3px;
  position: relative;
  color: #FFF;
  background-color: #5D7480;
  cursor: default;
  -webkit-background-clip: padding-box;
  -moz-background-clip: padding;
  background-clip: padding-box;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.select2-container-multi .select2-choices .select2-search-choice .select2-chosen {
  cursor: default;
}
.select-disabled.select2-container-multi {
  width: 100%!important;
}
.select2-search-choice-close {
  display: block;
  width: 12px;
  height: 12px;
  position: absolute;
  right: 3px;
  top: 10px;
  outline: none;
  background: url(../images/forms/clear_results.png) no-repeat 50%;
}
.select2-container-multi .select2-search-choice-close {
  left: 8px;
}
.select2-container-multi .select2-choices .select2-search-choice .select2-search-choice-close:hover {
  opacity: 0.6;
  filter: alpha(Opacity=60);
}
.select2-container-multi.select2-container-disabled .select2-choices {
  background-color: #FCFCFC;
  background-image: none;
  border: 1px solid #DDD;
  cursor: default;
}
.select2-container-multi.select2-container-disabled .select2-choices .select2-search-choice {
  padding: 7px 12px 6px 12px;
  border: 1px solid #DDD;
  background-color: #F8F8F8;
  color: #999;
}
.select2-container-multi.select2-container-disabled .select2-choices .select2-search-choice .select2-search-choice-close {
  display: none;
  background: none;
}


/* General */

.select2-result-selectable .select2-match, .select2-result-unselectable .select2-match {
  text-decoration: underline;
}
.select2-offscreen, .select2-offscreen:focus {
  clip: rect(0 0 0 0) !important;
  width: 1px !important;
  height: 1px !important;
  border: 0 !important;
  margin: 0 !important;
  padding: 0 !important;
  overflow: hidden !important;
  position: absolute !important;
  outline: 0 !important;
  left: 0px !important;
  top: 0px !important;
}
.select2-display-none {
  display: none;
}
.select2-measure-scrollbar {
  position: absolute;
  top: -10000px;
  left: -10000px;
  width: 100px;
  height: 100px;
  overflow: scroll;
}





/*===== Datepicker =====*/

.datepicker-liquid {
  width: 100%;
}
.datepicker-icon-trigger {
  padding: 7px 30px 7px 9px;
}
.ui-datepicker-trigger {
  position: absolute;
  right: 15px;
  bottom: 0;
  background-color: #239169;
  padding: 7px;
  cursor: pointer;
}
.ui-datepicker-trigger:hover {
  background-color: #E06C5F;
}
.ui-datepicker .ui-state-hover {
  background-color: #239169;
  color: #fff;
}
.ui-datepicker .ui-datepicker-current-day .ui-state-active {
  background-color: #E06C5F;
  color: #fff;
}
.ui-datepicker .ui-state-disabled {
  color: #999;
}
.ui-datepicker {
  width: auto!important;
  display: none;
  z-index: 10;
}
.ui-datepicker .ui-datepicker-header {
  position: relative;
  background-color: #40484C;
  color: #fff;
  font-weight: 400;
  border-radius: 2px 2px 0 0;
  -webkit-border-radius: 2px 2px 0 0;
  -moz-border-radius: 2px 2px 0 0;
}
.date-trigger .ui-datepicker-trigger {
  margin-left: 6px;
  cursor: pointer;
}
.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next {
  position: absolute;
  padding: 11px 16px 10px 16px;
  cursor: pointer;
  top: 0;
  background-repeat: no-repeat;
  border-radius: 0;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
}
.ui-datepicker .ui-datepicker-prev-hover, .ui-datepicker .ui-datepicker-next-hover {
  background-color: #E06C5F;
}
.ui-datepicker .ui-datepicker-next-hover {
  border-radius: 0 2px 0 0;
  -webkit-border-radius: 0 2px 0 0;
  -moz-border-radius: 0 2px 0 0;
}
.ui-datepicker .ui-datepicker-prev-hover {
  border-radius: 2px 0 0 0;
  -webkit-border-radius: 2px 0 0 0;
  -moz-border-radius: 2px 0 0 0;
}
.ui-datepicker .ui-datepicker-prev {
  background-image: url(../images/interface/arrow_left.png);
  background-position: 14px 14px;
  left: 0;
}
.ui-datepicker .ui-datepicker-next {
  background-image: url(../images/interface/arrow_right.png);
  right: 0;
  background-position: 14px 14px;
}
.ui-datepicker .ui-datepicker-title {
  margin: 0 33px;
  padding: 11px 0 10px 0;
  text-align: center;
  font-size: 12px;
}
.ui-datepicker table {
  width: 100%;
  font-size: 11px;
  border-collapse: collapse;
  background-color: #fff;
  border: 1px solid #DDD;
  border-top: 0;
}
.ui-datepicker-append {
  margin-left: 14px;
  font-size: 11px;
}
.no-append .ui-datepicker-append {
  display: none;
}
.datepicker-liquid > .ui-datepicker {
  width: 100%;
}
.datepicker-fixed {
  width: 20em;
}
.ui-datepicker th {
  padding: 12px 6px 10px 6px;
  text-align: center;
  font-weight: bold;
  border: 0;
}
.ui-datepicker td {
  border: 0;
  padding: 1px;
  text-align: center;
}
.ui-datepicker td span, .ui-datepicker td a {
  display: block;
  padding: 7px 10px;
  text-align: center;
  text-decoration: none;
  line-height: 16px;
  font-weight: bold;
}
.ui-datepicker.ui-datepicker-multi {
  width: auto;
  margin-left: 2px;
}
.ui-datepicker-multi .ui-datepicker-group {
  float: left;
  margin-left: 1px;
}
.ui-datepicker-multi .ui-datepicker-group:first-child {
  margin-left: -2px;
}
.ui-datepicker-multi-2 .ui-datepicker-group {
  width: 50%;
}
.ui-datepicker-multi-3 .ui-datepicker-group {
  width: 33.3333333333%;
}
.ui-datepicker-multi-4 .ui-datepicker-group {
  width: 25%;
}
.ui-datepicker-multi .ui-datepicker-group-last .ui-datepicker-header,
.ui-datepicker-multi .ui-datepicker-group-middle .ui-datepicker-header {
  border-left-width: 0;
}
.ui-datepicker-multi .ui-datepicker-buttonpane {
  clear: left;
}
.ui-datepicker-row-break {
  clear: both;
  width: 100%;
  font-size: 0;
}
.ui-datepicker .ui-icon {
  display: block;
  text-indent: -99999px;
  overflow: hidden;
  background-repeat: no-repeat;
}

@media (max-width: 479px) {
  .ui-datepicker-multi-3 .ui-datepicker-group {
    width: auto;
  }
}





/* ===== UI Slider ===== */

.ui-slider {
  position: relative;
  text-align: left;
}
.ui-slider-handle {
  position: absolute;
  z-index: 2;
  width: 16px;
  height: 16px;
  cursor: default;
  background: url(../images/interface/handle.png) no-repeat;
  border: none;
  cursor: pointer;
}
.ui-slider .ui-slider-range {
  position: absolute;
  z-index: 1;
  height: 4px;
  font-size: 11px;
  display: block;
  border: 1px solid #42BAD8;
  -moz-border-radius: 6px;
  -webkit-border-radius: 6px;
  border-radius: 6px;
  background: #72D4EC;
}
.ui-slider .ui-state-hover {
  opacity: 0.85;
  filter: alpha(Opacity=85);
}
.ui-slider .ui-state-active {
  opacity: 0.95;
  filter: alpha(Opacity=95);
}
.ui-slider-horizontal {
  height: 4px;
  background: #fafafa;
  border: 1px solid #ddd;
  margin: 13px 0;
  -moz-border-radius: 6px;
  -webkit-border-radius: 6px;
  border-radius: 6px;
}
.ui-slider-horizontal .ui-slider-handle {
  top: -7px;
  margin-left: -8px;
  outline: 0;
}
.ui-slider-horizontal .ui-slider-range {
  top: -1px;
  height: 100^;
}
.ui-slider-horizontal .ui-slider-range-min {
  left: 0;
}
.ui-slider-horizontal .ui-slider-range-max {
  right: 0;
}

/* Slider controls */

.slider-controls > label {
  margin-right: 10px;
  margin-bottom: 0;
  float: left;
  display: block;
  margin-top: 6px;
}
.slider-controls input[type=text] {
  color: #D65C4F;
  background: none;
  border-color: transparent;
  font-weight: bold;
  margin-top: 3px;
}





/* ===== Color picker ===== */

.color .input-group-addon {
  background-color: #fff;
  padding: 6px;
  border: 1px solid #ddd;
  border-left: 0;
}
.colorpicker-saturation {
  width: 100px;
  height: 100px;
  background-image: url(../images/colorpicker/saturation.png);
  cursor: crosshair;
  float: left;
}
.colorpicker-saturation i {
  display: block;
  height: 5px;
  width: 5px;
  border: 1px solid #000;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  position: absolute;
  top: 0;
  left: 0;
  margin: -4px 0 0 -4px;
}
.colorpicker-saturation i b {
  display: block;
  height: 5px;
  width: 5px;
  border: 1px solid #fff;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}
.colorpicker-hue, 
.colorpicker-alpha {
  width: 15px;
  height: 100px;
  float: left;
  cursor: row-resize;
  margin-left: 4px;
  margin-bottom: 4px;
}
.colorpicker-hue i, 
.colorpicker-alpha i {
  display: block;
  height: 1px;
  background: #000;
  border-top: 1px solid #fff;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  margin-top: -1px;
}

.colorpicker-hue {
  background-image: url(../images/colorpicker/hue.png);
}
.colorpicker-alpha {
  background-image: url(../images/colorpicker/alpha.png);
  display: none;
}

.colorpicker {
  top: 0;
  left: 0;
  padding: 4px;
  min-width: 120px;
  margin-top: 1px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
}
.colorpicker:before {
  content: '';
  display: inline-block;
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-bottom: 7px solid #ccc;
  border-bottom-color: rgba(0, 0, 0, 0.2);
  position: absolute;
  top: -7px;
  left: 6px;
}
.colorpicker:after {
  content: '';
  display: inline-block;
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-bottom: 6px solid #ffffff;
  position: absolute;
  top: -6px;
  left: 7px;
}
.colorpicker div {
  position: relative;
}
.colorpicker.alpha {
  min-width: 140px;
}
.colorpicker.alpha .colorpicker-alpha {
  display: block;
}
.colorpicker-color {
  height: 10px;
  margin-top: 5px;
  clear: both;
  background-image: url(../images/colorpicker/alpha.png);
  background-position: 0 100%;
}
.colorpicker-color div {
  height: 10px;
}
.color .input-group-addon i {
  display: block;
  cursor: pointer;
  width: 20px;
  height: 20px;
} 





/* ===== Time picker ===== */

.ui-timepicker-list {
  overflow-y: auto;
  height: 144px;
  padding: 0;
  background-color: #fff;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  margin: -1px 0 0 0;
  width: 160px;
  outline: 0;
}
.ui-timepicker-list li {
  padding: 10px 12px 9px 12px;
  cursor: pointer;
  border-left: 1px solid #ddd;
  border-right: 1px solid #ddd;
}
.ui-timepicker-list li:hover {
  background: #239169;
  color: #fff;
}





/* ===== Code prettify ===== */

.com {
  color: #93a1a1;
}
.lit {
  color: #195f91;
}
.pun, .opn, .clo {
  color: #93a1a1;
}
.fun {
  color: #dc322f;
}
.str, .atv {
  color: #ca3131;
}
.kwd, .prettyprint .tag {
  color: #1e347b;
}
.typ, .atn, .dec, .var {
  color: teal;
}
.pln {
  color: #48484c;
}

.prettyprint {
  padding: 8px;
  background-color: #fcfcfc;
  border: 1px solid #ddd;
}
.prettyprint.linenums {
  -webkit-box-shadow: inset 44px 0 0 #FFF, inset 45px 0 0 #DDD;
  -moz-box-shadow: inset 44px 0 0 #FFF, inset 45px 0 0 #DDD;
  box-shadow: inset 44px 0 0 #FFF, inset 45px 0 0 #DDD;
  font-size: 12px;
}

ol.linenums {
  margin: 0 0 0 38px;
  list-style-type: decimal;
  padding: 0;
}
ol.linenums li {
  padding-left: 12px;
  color: #999;
  line-height: 20px;
  text-shadow: 0 1px 0 #fff;
}






/* ===== Fancybox - lightbox plugin ===== */

.fancybox-wrap, 
.fancybox-skin, 
.fancybox-outer, 
.fancybox-inner, 
.fancybox-image, 
.fancybox-wrap iframe, 
.fancybox-wrap object, 
.fancybox-nav, 
.fancybox-nav span, 
.fancybox-tmp { 
  padding: 0; 
  margin: 0; 
  border: 0; 
  outline: none; 
  vertical-align: top; 
}
.fancybox-wrap { 
  position: absolute; 
  top: 0; 
  left: 0;
  z-index: 8020; 
}
.fancybox-skin { 
  position: relative; 
  background: #fff; 
  color: #444; 
  text-shadow: none; 
}
.fancybox-opened { 
  z-index: 8030; 
}
.fancybox-opened .fancybox-skin { 
  -webkit-box-shadow: 0 1px 10px rgba(0, 0, 0, 0.2); 
  -moz-box-shadow: 0 1px 10px rgba(0, 0, 0, 0.2); 
  box-shadow: 0 1px 10px rgba(0, 0, 0, 0.2); 
}
.fancybox-outer, .fancybox-inner { 
  position: relative; 
}
.fancybox-inner { 
  overflow: hidden; 
}
.fancybox-type-iframe .fancybox-inner { 
  -webkit-overflow-scrolling: touch; 
}
.fancybox-error {   
  color: #444;   
  font-size: 12px;   
  font-weight: bold;   
  margin: 0;   
  padding: 15px;   
  white-space: nowrap; 
}
.fancybox-image, .fancybox-iframe { 
  display: block; 
  width: 100%; 
  height: 100%; 
}
.fancybox-image { 
  max-width: 100%; 
  max-height: 100%; 
}

#fancybox-loading { 
  position: fixed; 
  top: 50%; 
  left: 50%; 
  margin-top: -13px; 
  margin-left: -13px; 
  background-color: #fff; 
  opacity: 0.8; 
  filter: alpha(Opacity=80); 
  cursor: pointer; 
  z-index: 8060; 
}
#fancybox-loading div { 
  width: 26px; 
  height: 26px; 
  background: url(../images/interface/loader.gif) center center no-repeat; 
}

.fancybox-close { 
  width: 22px; 
  height: 22px; 
  position: absolute; 
  right: -22px; 
  top: -22px; 
  z-index: 8061; 
  background: #548491 url(../images/forms/clear_results.png) no-repeat 8px 8px; 
  cursor: pointer; 
}
.fancybox-close:hover, 
.fancybox-close:focus { 
  background-color: #E48561; 
}

.fancybox-nav { 
  position: absolute; 
  top: 0; 
  width: 40%; 
  height: 100%; 
  cursor: pointer; 
  text-decoration: none; 
  background: transparent; 
  -webkit-tap-highlight-color: rgba(0,0,0,0); 
  z-index: 8040; 
}
.fancybox-prev { 
  left: 0; 
}
.fancybox-next { 
  right: 0; 
}
.fancybox-nav span { 
  position: absolute; 
  top: 50%; 
  width: 35px; 
  height: 35px;
  margin-top: -18px; 
  cursor: pointer; 
  z-index: 8040; 
  visibility: hidden; 
  opacity: 0; 
  filter: alpha(Opacity=0); 
}
.fancybox-prev span { 
  left: 10px; 
  background: rgba(0, 0, 0, 0.5) url(../images/interface/nav_arrow_left.png) no-repeat 15px; 
}
.fancybox-next span { 
  right: 10px; 
  background: rgba(0, 0, 0, 0.5) url(../images/interface/nav_arrow_right.png) no-repeat 15px; 
}
.fancybox-nav:hover span { 
  visibility: visible; 
  opacity: 1; 
  filter: alpha(Opacity=100); 
}
.fancybox-tmp { 
  position: absolute; 
  top: -99999px; 
  left: -99999px; 
  visibility: hidden; 
  max-width: 99999px; 
  max-height: 99999px; 
  overflow: visible !important; 
}


/* Overlay helper */

.fancybox-lock .fancybox-overlay { 
  overflow: auto; 
  overflow-y: scroll; 
}

.fancybox-lock { 
  overflow: hidden !important; 
  width: auto; 
}
.fancybox-lock body { 
  overflow: hidden !important; 
}
.fancybox-lock-test { 
  overflow-y: hidden !important; 
}

.fancybox-overlay { 
  position: absolute; 
  top: 0; 
  left: 0; 
  overflow: hidden; 
  display: none; 
  z-index: 8010; 
  background: url(../images/interface/lightbox_overlay.png); 
}
.fancybox-overlay-fixed { 
  position: fixed; 
  bottom: 0; 
  right: 0; 
}


/* Title helper */

.fancybox-title { 
  visibility: hidden; 
  font-weight: bold; 
  font-size: 12px; 
  position: relative; 
  text-shadow: none; 
  z-index: 8050; 
}
.fancybox-opened .fancybox-title { 
  visibility: visible; 
}
.fancybox-title-float-wrap { 
  position: absolute; 
  bottom: 0; 
  right: 50%; 
  margin-bottom: -45px; 
  z-index: 8050; 
  text-align: center; 
}
.fancybox-title-float-wrap .child { 
  display: inline-block; 
  margin-right: -100%; 
  padding: 5px 16px; 
  background: rgba(0, 0, 0, 0.5); 
  color: #FFF; 
  white-space: nowrap; 
}
.fancybox-title-outside-wrap { 
  position: relative; 
  margin-top: 10px; 
  color: #fff; 
}
.fancybox-title-inside-wrap { 
  padding-top: 10px; 
}
.fancybox-title-over-wrap { 
  position: absolute; 
  bottom: 0; 
  left: 0; 
  color: #fff; 
  padding: 10px; 
  background: #000; 
  background: rgba(0, 0, 0, .8); 
}





/* ===== WYSIHTML5 editor plugin ===== */

.editor {
  width: 100%;
  height: 150px;
  margin-bottom: 15px;
  resize: vertical;
  max-height: 200px;
  background-color: #fff;
  border: 1px solid #ddd;
  padding: 10px;
  overflow: scroll;
  outline: none;
}
.wysihtml5-sandbox {
  width: 100%!important;
}
.bootstrap-wysihtml5-insert-link-modal.modal,
.bootstrap-wysihtml5-insert-image-modal.modal {
  margin-top: 102px;
}
.bootstrap-wysihtml5-insert-link-modal .modal-dialog,
.bootstrap-wysihtml5-insert-image-modal .modal-dialog {
  width: 566px;
}

ul.wysihtml5-toolbar {
  margin: 0;
  padding: 0;
  display: block;
}
ul.wysihtml5-toolbar > li {
  display: inline-block;
  list-style: none;
  margin: 0 10px 15px 0;
}
ul.wysihtml5-toolbar .dropdown-menu {
  max-height: 200px;
  overflow-y: auto;
}
ul.wysihtml5-toolbar .dropdown-menu.color-select > li > a:hover,
ul.wysihtml5-toolbar .dropdown-menu.color-select > li > a:focus {
  background-color: #f5f5f5;
  color: #222222;
}
ul.wysihtml5-commands-disabled .dropdown-menu {
  display: none !important;
}
ul.wysihtml5-toolbar a[data-wysihtml5-command=bold] {
  font-weight: bold;
}
ul.wysihtml5-toolbar a[data-wysihtml5-command=italic] {
  font-style: italic;
}
ul.wysihtml5-toolbar a[data-wysihtml5-command=underline] {
  text-decoration: underline;
}
ul.wysihtml5-toolbar a.btn.wysihtml5-command-active {
  -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
}
ul.wysihtml5-toolbar div.wysihtml5-colors {
  display: block;
  width: 20px;
  height: 20px;
  position: absolute;
  pointer-events: none;
  border-radius: 100px;
  -webkit-border-radius: 100px;
  -moz-border-radius: 100px;
  left: 10px;
  top: 8px;
}
ul.wysihtml5-toolbar a.wysihtml5-colors-title { padding-left: 40px }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="black"] { background: black !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="silver"] { background: silver !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="gray"] { background: gray !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="maroon"] { background: maroon !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="red"] { background: red !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="purple"] { background: purple !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="green"] { background: green !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="olive"] { background: olive !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="navy"] { background: navy !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="blue"] { background: blue !important }
ul.wysihtml5-toolbar div[data-wysihtml5-command-value="orange"] { background: orange !important }





/* ===== Multiple file uploader (Plupload) ===== */

.plupload_button { 
  display: -moz-inline-box;
  display: inline-block; 
  text-decoration: none; 
  color: #fff; 
  background-color: #50ABC2; 
  border: 1px solid transparent; 
  padding: 6px 16px; 
  margin-right: 4px; 
  font-size: 12px; 
}
.plupload_button:hover, 
.plupload_button:focus { 
  background-color: #61B3C8; 
  color: #fff; 
}
a.plupload_disabled, 
a.plupload_disabled:hover { 
  color: #999; 
  border-color: #ccc; 
  background: #fcfcfc; 
  cursor: default; 
}

.plupload_start { 
  background-color: #65B688; 
}
.plupload_start:hover, 
.plupload_start:focus { 
  background-color: #74BD94; 
}

.plupload_wrapper { 
  width: 100%; 
}
.plupload_container input { 
  border: 1px solid #DDD; 
}
.plupload_header { 
  background: #40484C url(../images/interface/plupload_title.png) no-repeat 18px; 
  display: none; 
  border-radius: 2px 2px 0 0; 
  -webkit-border-radius: 2px 2px 0 0; 
  -moz-border-radius: 2px 2px 0 0; 
}

.with-header .plupload_header { 
  display: block; 
}
.with-header .plupload_filelist_header { 
  background-color: #fafafa; 
  color: #333; 
  border-radius: 0; 
  -webkit-border-radius: 0; 
  -moz-border-radius: 0; 
  border: 1px solid #ddd; 
  border-top: 0; 
}

.panel .plupload_filelist_header { 
  border-radius: 0; 
  -webkit-border-radius: 0; 
  -moz-border-radius: 0; 
}
.panel .plupload_scroll .plupload_filelist { 
  border: 0; 
  background-color: #fff; 
}
.panel .plupload_filelist_footer { 
  border-width: 1px 0 0 0; 
  background-color: #fcfcfc; 
}
.panel .plupload_filelist_header { 
  background-color: #fcfcfc; 
  color: #333; 
  border-radius: 0; 
  -webkit-border-radius: 0; 
  -moz-border-radius: 0; 
  border: 0; 
  border-bottom: 1px solid #ddd; 
}

.plupload_scroll .plupload_filelist_header .plupload_file_action, 
.plupload_scroll .plupload_filelist_footer .plupload_file_action { 
  margin-left: 20px; 
  margin-right: 0; 
}
.plupload_header_content { 
  padding: 14px 0 14px 75px; 
  color: #FFF; 
}
.plupload_header_title { 
  font-size: 14px; 
  font-weight: bold; 
}
.plupload_header_text { 
  font-size: 11px; 
}

.plupload_filelist { 
  margin: 0; 
  padding: 0; 
  list-style: none; 
}
.plupload_scroll .plupload_filelist { 
  height: 185px; 
  background: #fcfcfc; 
  overflow-y: scroll; 
  border-left: 1px solid #ddd; 
  border-right: 1px solid #ddd; 
}
.plupload_filelist li { 
  padding: 10px 12px; 
  background: #FFF; 
  border-bottom: 1px solid #EEE; 
}
.plupload_filelist_header {  
  padding: 9px 12px 9px 12px; 
  background: #40484C; 
  border-radius: 2px 2px 0 0; 
  -webkit-border-radius: 2px 2px 0 0; 
  -moz-border-radius: 2px 2px 0 0; 
  color: #fff; 
}
.plupload_filelist_footer { 
  border: 1px solid #ddd; 
  border-top-color: #e5e5e5; 
  vertical-align: middle; 
  padding: 10px 12px; 
  background: #fafafa; 
}

.plupload_file_name {
  float: left; 
  overflow: hidden; 
  font-weight: bold; 
}

.plupload_file_size, 
.plupload_file_status, 
.plupload_progress { 
  float: right; 
  width: 80px; 
}
.plupload_file_size, 
.plupload_file_status, 
.plupload_file_action { 
  text-align: right; 
  font-weight: bold; 
}

.plupload_filelist_footer .plupload_file_size, 
.plupload_filelist_footer .plupload_file_status { 
  padding-top: 7px; 
}
.plupload_filelist_footer .plupload_upload_status { 
  padding: 7px 0; 
}
.plupload_filelist .plupload_file_name { 
  width: 205px; 
  white-space: nowrap; 
  text-overflow: ellipsis; 
}

.plupload_file_action { 
  float: right; 
  width: 12px; 
  height: 12px; 
  margin-left: 20px; 
  margin-top: 4px; 
  opacity: 0.8; 
  filter: alpha(Opacity=80); 
}
.plupload_file_action * { 
  display: none; 
  width: 12px; 
  height: 12px; 
}

li.plupload_uploading {
  background: #ECF3DC; 
}
li.plupload_done {
  color: #AAA;
}
li.plupload_delete a { 
  background: url(../images/interface/plupload_remove.png) no-repeat; 
}
li.plupload_failed a { 
  background: url(../images/interface/plupload_error.png) no-repeat; 
  cursor: default; 
}
li.plupload_done a { 
  background: url(../images/interface/plupload_done.png) no-repeat; 
  cursor: default; 
}
li.plupload_droptext { 
  background: transparent; 
  text-align: center; 
  vertical-align: middle; 
  border: 0; 
  line-height: 165px; 
  font-weight: bold; 
  color: #999; 
}

.plupload_progress, 
.plupload_upload_status { 
  display: none; 
}
.plupload_progress_container { 
  margin-top: 6px; 
}
.plupload_progress_bar { 
  width: 0px; 
  height: 8px; 
  background: #65B688; 
  border-radius: 10px;
   -webkit-border-radius: 10px; 
   -moz-border-radius: 10px; 
 }

.plupload_clear,
.plupload_clearer {
  clear: both;
}
.plupload_clearer, 
.plupload_progress_bar { 
  display: block; 
  font-size: 0; 
  line-height: 0;  
}


@media (max-width: 480px) {
  .plupload_filelist_footer .plupload_file_action, 
  .plupload_filelist_footer .plupload_file_status, 
  .plupload_filelist_footer .plupload_file_size, 
  .plupload_filelist_footer .plupload_progress { 
    display: none; 
  }
}





/*===== Custom table element styles =====*/

.table-check tr td:first-child {
  width: 40px;
  text-align: center;
}
.table-check .row-checked td {
  background: #fffff7;
}
.table-check .checker, .table-check .radio {
  margin: 0;
}

.table-controls {
  text-align: center;
}
.table-controls .btn-link {
  padding: 2px;
}
.table-controls .btn-link i {
  padding: 0;
}

.table-footer:after {
  content: "";
  display: table;
  clear: both;
}
.table-footer .table-actions label {
  margin: 3px 12px 0 0;
  display: inline-block;
  font-size: 12px;
}
.table-footer .table-actions {
  float: left;
}
.table-footer .pagination {
  float: right;
  margin-top: 2px;
}
.table-footer {
  padding: 12px;
  background-color: #fcfcfc;
  border: 1px solid #ddd;
}
.panel .table-footer {
  border: 0;
  border-top: 1px solid #ddd;
}

.action-icon {
  color: #444;
  display: block;
  margin-top: 3px;
}

@media (max-width: 480px) {
  .table-footer {
    text-align: center;
  }
  .table-footer .table-actions, .table-footer .pagination {
    float: none;
  }
  .table-footer .pagination {
    margin-top: 15px;
  }
}





/*===== Datatables =====*/

.panel-body .dataTable {
  border: 1px solid #ddd;
}
.dataTable {
  border-collapse: collapse;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
}
.dataTable thead th {
  background-color: #fafafa;
  cursor: pointer;
}
.dataTable thead th.sorting_disabled {
  cursor: default;
}
.dataTable thead th:active, 
.dataTable thead td:active {
  outline: none;
}
.dataTable tfoot th input[type=text] {
  background: url(../images/interface/filter.png) no-repeat 12px;
  padding-left: 32px;
  font-weight: 400;
}
.dataTable td.center, 
.dataTable td.dataTables_empty {
  text-align: center;
}
.dataTables_wrapper .table-striped > tbody > tr:nth-child(odd) > td, 
.dataTables_wrapper .table-striped > tbody > tr:nth-child(odd) > th {
  background-color: #ffffff;
}
.dataTables_wrapper .table-striped > tbody > tr:nth-child(even) > td, 
.dataTables_wrapper .table-striped > tbody > tr:nth-child(even) > th {
  background-color: #fcfcfc;
}
.dataTable h1, 
.dataTable h2, 
.dataTable h3, 
.dataTable h4, 
.dataTable h5,  
.dataTable h6 {
  margin: 0;
}
.datatable-scroll {
  overflow-x: auto;
  overflow-y: visible;
}


/* Header and footer */

.datatable-header, 
.datatable-footer {
  background: #fff;
}
.datatable-header:after, 
.datatable-footer:after {
  content: "";
  display: table;
  clear: both;
}
.datatable-header label {
  margin-bottom: 0;
}
.panel .panel-body .datatable-header {
  border: 1px solid #ddd;
  border-bottom: 0;
}
.panel .panel-body .datatable-footer {
  border: 1px solid #ddd;
  border-top: 0;
}
.dataTables_wrapper {
  position: relative;
  clear: both;
}


/* Page length menu */

.dataTables_length {
  float: right;
  padding: 0 0 20px 0;
  display: block;
}
.dataTables_length > label > span {
  float: left;
  line-height: 13px;
  padding: 10px 0;
  margin-right: 12px;
  font-size: 12px;
}
.panel .dataTables_length {
  padding: 16px 14px;
}


/* Filter */

.dataTables_filter {
  padding: 0 0 20px 0;
  position: relative;
  display: block;
  float: left;
}
.dataTables_filter label > span {
  display: block;
  float: left;
  line-height: 13px;
  padding: 10px 0;
  margin-right: 12px;
  font-size: 12px;
}
.dataTables_filter label > input[type=text] {
  background: url(../images/interface/filter.png) no-repeat 95%;
  line-height: 1.42857143;
  height: 34px;
  padding: 8px 30px 7px 9px;
  width: auto;
  color: #505050;
  outline: 0;
  font-weight: 400;
  vertical-align: middle;
  background-color: #FFF;
  border: 1px solid #DDD;
  border-radius: 0;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
}
.panel .dataTables_filter {
  padding: 16px 14px;
}


/* Table information */

.dataTables_info {
  padding: 20px 0 0 0;
  display: block;
  float: left;
  font-size: 12px;
}
.panel .dataTables_info {
  padding: 18px 14px;
}


/* Pagination */

.dataTables_paginate {
  float: right;
  margin: 17px 0 0 0;
}
.panel .dataTables_paginate {
  margin: 14px;
}


/* Two button pagination - previous / next */

.paging_two_button {
  height: 26px;
  line-height: 26px;
}
.paginate_disabled_previous, 
.paginate_enabled_previous, 
.paginate_disabled_next, 
.paginate_enabled_next {
  margin-left: 1px;
  cursor: pointer;
  font-weight: 600;
  color: #505050;
  padding: 7px 10px;
  font-size: 12px;
  border-radius: 2px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
}
.paginate_disabled_previous:hover, 
.paginate_enabled_previous:hover, 
.paginate_disabled_next:hover,
.paginate_enabled_next:hover {
  background-color: #239169;
  color: #FFF;
}
.paginate_disabled_previous:focus, 
.paginate_enabled_previous:focus, 
.paginate_disabled_next:focus, 
.paginate_enabled_next:focus {
  background-color: #239169;
  color: #FFF;
}
.paginate_disabled_previous:active, 
.paginate_enabled_previous:active, 
.paginate_disabled_next:active, 
.paginate_enabled_next:active {
  outline: none;
}
.paginate_disabled_previous, 
.paginate_disabled_next, 
.paginate_disabled_previous:hover, 
.paginate_disabled_next:hover,
.paginate_disabled_previous:focus, 
.paginate_disabled_next:focus {
  color: #bbb;
  background: none;
  cursor: default;
}
.paginate_disabled_next,
.paginate_enabled_next {
  margin-left: 1px;
}


/* Full number pagination */

.paging_full_numbers {
  height: 26px;
  line-height: 26px;
}
.paging_full_numbers a:active {
  outline: none;
}
.paging_full_numbers a.paginate_button,
.paging_full_numbers a.paginate_active {
  margin-left: 1px;
  border-radius: 2px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  cursor: pointer;
  font-weight: 600;
  color: #505050;
  padding: 5px 10px;
  font-size: 12px;
}
.paging_full_numbers a.paginate_button:hover, 
.paging_full_numbers a.paginate_button:focus {
  background-color: #239169;
  color: #fff;
  outline: 0;
}
.paging_full_numbers a.paginate_active {
  background-color: #40484C;
  outline: 0;
  color: #fff;
}
.paging_full_numbers .paginate_button.paginate_button_disabled, 
.paging_full_numbers .paginate_button.paginate_button_disabled:hover {
  color: #999;
  background: none;
  cursor: default;
}


/* Processing indicator */

.dataTables_processing {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 250px;
  height: 30px;
  margin-left: -125px;
  margin-top: -15px;
  padding: 14px 0 2px 0;
  border: 1px solid #ddd;
  text-align: center;
  color: #999;
  font-size: 14px;
  background-color: #fff;
}


/* Sorting */

.sorting {
  background: url('../images/interface/tables/sort_both.png') no-repeat 100%;
  padding-right: 24px!important;
}
.sorting_asc {
  background: url('../images/interface/tables/sort_asc.png') no-repeat 100%;
  padding-right: 24px!important;
}
.sorting_desc {
  background: url('../images/interface/tables/sort_desc.png') no-repeat 100%;
  padding-right: 24px!important;
}
.sorting_asc_disabled {
  background: url('../images/interface/tables/sort_asc_disabled.png') no-repeat 100%;
  padding-right: 24px!important;
}
.sorting_desc_disabled {
  background: url('../images/interface/tables/sort_desc_disabled.png') no-repeat 100%;
  padding-right: 24px!important;
}
.table-condensed .sorting, 
.table-condensed .sorting_asc, 
.table-condensed .sorting_desc, 
.table-condensed .sorting_asc_disabled, 
.table-condensed .sorting_desc_disabled {
  background-position: 100% 6px;
}
 

/* Scrolling */

.dataTables_scroll {
  clear: both;
}
.dataTables_scrollBody {
  -webkit-overflow-scrolling: touch;
}
.dataTables_scrollBody .dataTable {
  border-top: 0;
}



/*===== Datatables tabletools plugin =====*/

.DTTT_container {
  position: relative;
  float: right;
  margin: 16px 14px 16px 0;
}
.DTTT_button {
  cursor: pointer;
}
.DTTT_nonbutton {
  display: block;
  float: left;
  line-height: 13px;
  padding: 10px 0;
  margin-right: 12px;
  font-size: 12px;
}
.DTTT_button.btn {
  padding-left: 12px;
  padding-right: 12px;
}
.DTTT_button.btn .caret {
  margin-right: 0;
}
.DTTT_button.btn + .DTTT_button.btn {
  margin-left: 1px;
}
.DTTT_button embed {
  outline: none;
}
.DTTT_button_collection span {
  padding-right: 17px;
  background: url(../images/collection.png) no-repeat center right;
}
.DTTT_button_collection:hover span {
  padding-right: 17px;
  background: #f0f0f0 url(../images/collection_hover.png) no-repeat center right;
}


/* Row selection styles */

.DTTT_selectable tbody tr {
  cursor: pointer;
}
.dataTable tr.DTTT_selected.odd td, 
.dataTable tr.DTTT_selected.odd td.sorting_1, 
.dataTable tr.DTTT_selected.odd td.sorting_2, 
.dataTable tr.DTTT_selected.odd td.sorting_3 {
  background-color: #F2FCF7;
}
.dataTable tr.DTTT_selected.even td, 
.dataTable tr.DTTT_selected.even td.sorting_1, 
.dataTable tr.DTTT_selected.even td.sorting_2, 
.dataTable tr.DTTT_selected.even td.sorting_3 {
  background-color: #ECFCF3;
}


/* Drop down list (collection) styles */

.DTTT_collection {
  width: 146px;
  border-radius: 2px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  overflow: hidden;
  z-index: 2002;
  margin-top: 2px;
  margin-left: -40px;
  background-color: #fff;
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
}
.DTTT_collection_background {
  z-index: 2001;
}
.DTTT_collection .DTTT_button {
  position: relative;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
  display: block;
  padding: 8px 12px 9px 12px;
  color: #444;
  font-weight: 600;
  font-size: 12px;
}
.DTTT_collection .DTTT_button:hover {
  color: #fff;
  background-color: #239169;
  border-color: #239169;
}


/* Print display styles */

.DTTT_Print .page-content {
  margin: 30px 25px 0 25px;
  padding-top: 0;
}
.DTTT_Print .sidebar {
  display: none!important;
}
.DTTT_print_info {
  position: fixed;
  top: 10%;
  left: 50%;
  width: 400px;
  margin-left: -200px;
  text-align: center;
  color: #fff;
  padding: 12px;
  background-color: #40484C;
  opacity: 0.95;
  filter: alpha(Opacity=95);
}



@media (max-width: 480px) {
  .datatable-header, 
  .datatable-footer {
    text-align: center;
  }
  .dataTables_filter, 
  .dataTables_length, 
  .dataTables_paginate, 
  .dataTables_info, 
  .paging_full_numbers, 
  .DTTT_container {
    float: none;
  }
  .DTTT_container {
    margin: 16px 0 0 0;
  }
  .panel .dataTables_length, 
  .panel .dataTables_paginate {
    padding-top: 0;
    margin-top: 0;
  }
}





/* ===== Footer ===== */

.footer {
  padding: 12px 0;
  border-top: 1px solid #ddd;
}





/* # Error and Login pages styling
================================================== */

.error-wrapper h1 { 
  color: #fff; 
  font-size: 200px; 
  margin-top: 50px;
  line-height: 1; 
  font-weight: 300; 
  text-stroke: 1px transparent; 
  display: block; 
  text-shadow: 0 1px 0 #ccc, 
               0 2px 0 #c9c9c9, 
               0 3px 0 #bbb, 
               0 4px 0 #b9b9b9, 
               0 5px 0 #aaa, 
               0 6px 1px rgba(0,0,0,.1), 
               0 0 5px rgba(0,0,0,.1),
               0 1px 3px rgba(0,0,0,.3), 
               0 3px 5px rgba(0,0,0,.2), 
               0 5px 10px rgba(0,0,0,.25), 
               0 10px 10px rgba(0,0,0,.2), 
               0 20px 20px rgba(0,0,0,.15); 
}
.error-wrapper.offline h1 { 
  font-size: 160px;
}
.error-wrapper h6 { 
  margin-bottom: 15px; 
}

.error-content { 
  width: 440px; 
  margin: auto; 
}
.error-content input[type=text] { 
  background: #fff url(../images/interface/filter.png) no-repeat 12px; 
  padding-left: 32px; 
}


.login-wrapper {
  width: 350px;
  margin: 80px auto 35px auto;
}


@media (max-width: 480px) {
  .error-wrapper { 
    width: 100%; 
    margin: 0; 
    padding-left: 15px; 
    padding-right: 15px; 
    height: auto; 
    position: static; 
  }

  .error-wrapper, 
  .error-content { 
    width: 100%; 
  }
  .error-wrapper h1 { 
    font-size: 140px; 
    padding-top: 0px; 
  }
  .error-wrapper.offline h1 { 
    font-size: 100px; 
  }

  .login-wrapper {
    width: 100%;
    margin-top: 20px;
  }

}



